## Apache Zeta Components Manual :: Docs For Class ezcImageTransformationException

### ImageConversion::ezcImageTransformationException

### Class ezcImageTransformationException

Exception to be thrown be ezcImageTransformation classes.

This is a special exception which is used in ezcImageTransformation to catch all transformation exceptions. Purpose is to provide a catch all for all transformation inherited excptions, that leaves the source exception in tact for logging or analysis purposes.

Source for this file: /ImageConversion/src/exceptions/transformation.php

    Exception
       |
       --ezcBaseException
          |
          --ezcImageException
             |
             --ezcImageTransformationException

Version: | //autogentag//

### Member Variables

public ezcImageException | `$parent` Stores the parent exception. Each transformation exception is based on a parent, which can be any ezcImage* exception. The transformation exception deals as a collection container to catch all these exception at once.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcImageTransformationException | `__construct( $e )` Creates a new ezcImageTransformationException using a parent exception.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcImageTransformationException __construct( $e )

Creates a new ezcImageTransformationException using a parent exception.

Creates a new ezcImageTransformationException and appends an existing exception to it. The ezcImageTransformationException is just the catch- all container. The parent is stored for logging/debugging purpose.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$e` | ezcBaseException | Any exception that may occur during transformation.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3